Monique Gaw

Motivation for joining is to learn something new and meet new people.

I'm a Senior Architect in an international architecture consultancy firm. I do minor coding for computational design and research.

I'm a Senior Architect in an international architecture consultancy firm. I do minor coding for computational design and research.